de.esprit.appsuite.appstore

## Class EspritAppStarterLaunch

- java.lang.Object
- - de.esprit.appsuite.launch.AbstractApplicationLaunch<AppStarterConfig,AppStarterContext>
  - - de.esprit.appsuite.appstore.EspritAppStarterLaunch

-     public final class EspritAppStarterLaunch
      extends AbstractApplicationLaunch<AppStarterConfig,AppStarterContext>

  This class just launches the `EspritAppStarter`.
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from class de.esprit.appsuite.launch.AbstractApplicationLaunch

      `DO_NOT_EXIT, EXIT_CODE_CLP_ERROR, EXIT_CODE_LAUNCH_ERROR, isTestMode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EspritAppStarterLaunch(java.lang.String... args)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected AppStarterCLP` | `createCommandLineParser(java.lang.String[] args)` Creates the CommandLineParser instance for launching the application.
    `protected AppStarterContext` | `createContext(AppStarterConfig cfg)` Creates the application context from the Config object.
    `protected void` | `handleLaunchError(AppStarterContext ctx, java.lang.Exception error)` Calling this method terminates the VM.
    `protected void` | `launchApplication(AppStarterContext ctx)` Must be implemented for running a non-GUI application
    `static void` | `main(java.lang.String[] args)`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationLaunch

      `createSplashIcon, doOnContextCreated, doOnMainFrameCreated, getError, getLaunchedContext, getLaunchedMainFrame, handleCommandLineError, hasError, hasGui, launch, launchMainFrame, setTestMode, showFatalError, showFatalError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EspritAppStarterLaunch

          public EspritAppStarterLaunch(java.lang.String... args)

  - ### Method Detail

    - #### createContext

          protected AppStarterContext createContext(AppStarterConfig cfg)
                                             throws java.lang.Exception

      Description copied from class: `AbstractApplicationLaunch`
      Creates the application context from the Config object.
      Specified by:
        `createContext` in class `AbstractApplicationLaunch<AppStarterConfig,AppStarterContext>`
      Throws:
        `java.lang.Exception`

    - #### createCommandLineParser

          protected AppStarterCLP createCommandLineParser(java.lang.String[] args)

      Description copied from class: `AbstractApplicationLaunch`
      Creates the CommandLineParser instance for launching the application.
      Specified by:
        `createCommandLineParser` in class `AbstractApplicationLaunch<AppStarterConfig,AppStarterContext>`

    - #### handleLaunchError

          protected void handleLaunchError(AppStarterContext ctx,
                               java.lang.Exception error)

      Description copied from class: `AbstractApplicationLaunch`
      Calling this method terminates the VM.
      Overrides:
        `handleLaunchError` in class `AbstractApplicationLaunch<AppStarterConfig,AppStarterContext>`

    - #### launchApplication

          protected void launchApplication(AppStarterContext ctx)
                                    throws java.lang.Exception

      Description copied from class: `AbstractApplicationLaunch`
      Must be implemented for running a non-GUI application
      Overrides:
        `launchApplication` in class `AbstractApplicationLaunch<AppStarterConfig,AppStarterContext>`
      Throws:
        `java.lang.Exception`

    - #### main

          public static void main(java.lang.String[] args)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.